import request from '@/utils/request'

// 查询车辆维修记录列表
export function listDrivingSchoolRepair(query) {
  return request({
    url: '/drivingSchool/system/drivingSchoolRepair/list',
    method: 'get',
    params: query
  })
}

// 查询车辆列表
export function listCards(query) {
  return request({
    url: '/drivingSchool/system/car/listAll',
    method: 'get',
    params: query
  })
}

// 查询车辆维修记录详细
export function getDrivingSchoolRepair(id) {
  return request({
    url: '/drivingSchool/system/drivingSchoolRepair/' + id,
    method: 'get'
  })
}

// 新增车辆维修记录
export function addDrivingSchoolRepair(data) {
  return request({
    url: '/drivingSchool/system/drivingSchoolRepair',
    method: 'post',
    data: data
  })
}

// 修改车辆维修记录
export function updateDrivingSchoolRepair(data) {
  return request({
    url: '/drivingSchool/system/drivingSchoolRepair',
    method: 'put',
    data: data
  })
}

// 删除车辆维修记录
export function delDrivingSchoolRepair(id) {
  return request({
    url: '/drivingSchool/system/drivingSchoolRepair/' + id,
    method: 'delete'
  })
}
